// 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// Цикли потрібні для того, щоб виконувати певні дії автоматично в рамках умов циклу, не прописуючи кожну дію окремо.

// 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
//  Цикл for використовував для обчислення задачі при певних параметрах n-к-ть разів.
// Цикл for in  використовував для виведення значень об"єкту.

// 3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
// неявне перетворення типів відбувається через використання == , явне перетворення типів відбувається спеціально, наприклад, строку в число, число в логічний тип.




// Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
// Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.




let userNumber = +prompt('Enter your number')
if (!userNumber) {
    console.log('Sorry, no numbers');
}
if (!Number.isInteger(userNumber)) {
    +prompt('Enter your number')
}

for (let i = 0; i <= userNumber; i++) {
    if (i % 5 == 0) {
        console.log(i);
    }
}